<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE configuration
        PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>
    <!--<properties  resource="db-tj.properties"/>-->
<!--    <properties  resource="db-test.properties"/>-->
<!--    <properties  resource="db-dev.properties"/>-->
    <properties  resource="db-prod.properties"/>
    <settings>
        <setting name="mapUnderscoreToCamelCase" value="true"/>
    </settings>

    <typeAliases>
        <typeAlias type="com.bailuntec.support.DruidDataSourceFactory" alias="DRUID" />
        <package name="com.bailuntec.domain"/>
    </typeAliases>

    <environments default="work">
        <environment id="work">
            <transactionManager type="JDBC"/>
            <dataSource type="DRUID">
                <property name="driver" value="${driver}"/>
                <property name="url" value="${url}"/>
                <property name="username" value="${username}"/>
                <property name="password" value="${password}"/>
            </dataSource>
        </environment>
    </environments>

    <mappers>
        <package name="com.bailuntec.mapper"></package>
    </mappers>

</configuration>